from typing import List, Optional

import attr
from marshmallow_annotations.ext.attrs import AttrsSchema


@attr.s(auto_attribs=True, kw_only=True)
class JobSummary:
    uri: str = attr.ib()
    product: str = attr.ib()
    name: str = attr.ib()
    url: str = attr.ib()
    description: Optional[str] = None
    last_successful_run_timestamp: Optional[int] = None


class JobSummarySchema(AttrsSchema):
    class Meta:
        target = JobSummary
        register_as_scheme = True
